Bug 213920 - Please add GPL'd Star Micronics Print Drivers
Please add GPL'd Star Micronics Print Drivers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
bzcl34nup
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2006-11-03 14:29 EST by Jeff Moe (jebba)
Modified: 2008-05-06 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lphelp.spec (1.09 KB, application/octet-stream)
2006-12-06 20:34 EST, Jeff Moe (jebba)
no flags Details
starcupsdrv.spec (2.08 KB, application/octet-stream)
2006-12-06 20:35 EST, Jeff Moe (jebba)
no flags Details

  None (edit)
Description Jeff Moe (jebba) 2006-11-03 14:29:49 EST
Description of problem:
Foomatic (cups?) doesn't have support for a variety of printers with GPL'd
drivers from Star Micronics, such as the models:

   - TUP900 Presenter
   - TUP900 Cutter
   - TSP1000
   - TSP800
   - TSP700
   - TSP600 Cutter
   - TSP600 Tear Bar
   - TSP100 Cutter
   - TSP100 Tear Bar
   - SP500 Cutter
   - SP500 Tear Bar

Version-Release number of selected component (if applicable):
foomatic-3.0.2-38

How reproducible:
run system-config-printer and see those printers not supported...

Additional info:
Star Micronics has released GPL'd drivers for their printers. It would be nice
to have them integrated into foomatic, cups, or wherever appropriate. The code
is available here:
http://www.starmicronics.com/drv/download.php?id=15
http://www.starmicronics.com/drv/software/starcupsdrv-20050822.tar.gz
(Note the file is an /uncompressed/ tar archive despite the ".gz" suffix).

I can report this upstream as well, but I wasn't sure where it was appropriate.

Thanks!
Comment 1 Jeff Moe (jebba) 2006-12-05 23:40:17 EST
Ping!

If you can give me direction on who/what I should bug about this, I'd be happy
to do so. I'm just not sure who the upstream would be in this case. Perhaps it
could be a completely separate package, like hplip, and put in f-extras. Bug
cups? Or foomatic? Or? You!  ;)

Thanks.
Comment 2 Tim Waugh 2006-12-06 05:23:25 EST
Sorry, I've been a bit swamped with printing bugs lately.

I just took a look at how this driver works, and it would be best as a separate
package like gutenprint and hplip.  Is that something you would feel comfortable
packaging for Extras yourself?  Otherwise I can see if I have time to get to it.
Comment 3 Jeff Moe (jebba) 2006-12-06 11:38:23 EST
It has fun funkiness like the archive ends in .gz but isn't gzipped, it has a
date for the filename but is version 2.3.0, the makefile calls a non-existent
`lphelp`, etc... and i've just started. ;)  I'll poke at it and get a decent
spec in shape...
Comment 4 Jeff Moe (jebba) 2006-12-06 20:32:26 EST
Ok. Here's a first stab at it. It is quite an odd spec because the upstream is
quite an odd package to start with... I came up with my own solutions to these
issues, I'm not sure if it's how you would do it.

1) The tarball ends in .gz but is actually /not/ compressed. This makes rpmbuild
croak on it. I just `mv` in SOURCE to the same name without .gz.

2) It requires `lphelp` to build it's docs. One option is to leave some of these
not-necessarily needed docs out, the other is to package lphelp. I have built a
lphelp.spec as well, which I'll attach.

3) If you don't `make clean` first, it just packages the precompiled binaries
that are already in the tarball.

4) It won't do SMP builds, so I explicitly do -j1

5) Some %doc are executable, so I chmod them 444 (use %attr instead?)

6) rpmlint complains "binary-or-shlib-defines-rpath". I use `chrpath -d` to fix
this. This is a new one for me too. ;)

7) The interesting .spec that ships with the package restarts cups. I left this out.

I have /not/ tested this yet, as I don't have access to a printer. I was
initially packaging it because another user couldn't figure out how to install
the drivers.
Comment 5 Jeff Moe (jebba) 2006-12-06 20:34:21 EST
Created attachment 143017 [details]
lphelp.spec

Needed to build docs for starcupsdrv.
Comment 6 Jeff Moe (jebba) 2006-12-06 20:35:44 EST
Created attachment 143018 [details]
starcupsdrv.spec

Initial stab at starcupsdrv.spec...
Comment 7 Tim Waugh 2006-12-07 06:28:45 EST
Great.  For the rpath issue it might be better to modify the makefile so as not
to set the rpath in the first place; other than that it looks good on the whole.

Here's the starting point for getting a package into Fedora Extras:
  http://fedoraproject.org/wiki/Extras/Contributors

Once you've filed a review request I'll close this bug report; alternatively, if
you don't have the time to spare for getting this into Extras I'll keep this bug
report open in case I get time (and testers) myself.
Comment 8 Jeff Moe (jebba) 2006-12-07 14:27:49 EST
What about lphelp? Should this be packaged up too or should those files just be
dropped from %doc?

I would prefer if someone else did the f-e part of this.
Comment 9 Bug Zapper 2008-04-04 00:23:38 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 12:41:14 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.